/* Common style */
.gridi {
	margin: 0px auto 120px;
	max-width: 1000px;
	width: 90%;
}

.gridi a {
	float: left;
	width: 33.33%;
	color: #333;
}

.gridi figure {
	position: relative;
	overflow: hidden;
	margin: 5px;
	background: #333;
}

.gridi figure img {
	position: relative;
	display: block;
	opacity: 0.7;
	-webkit-transition: opacity 0.3s;
	transition: opacity 0.3s;
}

.gridi figcaption {
	position: absolute;
	top: 0;
	z-index: 11;
	padding: 10px;
	width: 100%;
	height: 100%;
	text-align: center;
}

.gridi figcaption h2 {
	margin: 0 0 20px 0;
	color: #3498db;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: 300;
	font-size: 130%;
	-webkit-transition: -webkit-transform 0.3s;
	transition: transform 0.3s;
}

.gridi figcaption p {
	padding: 0 20px;
	color: #aaa;
	font-weight: 300;
	-webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
	transition: opacity 0.3s, transform 0.3s;
}

.gridi figcaption h2,
.gridi figcaption p {
	-webkit-transform: translateY(50px);
	transform: translateY(50px);
}

.gridi figure button {
	position: absolute;
	padding: 4px 20px;
	border: none;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: bold;
	-webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
	transition: opacity 0.3s, transform 0.3s;
}

.gridi figcaption,
.gridi figcaption h2,
.gridi figcaption p,
.gridi figure button {
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

/* Style for SVG */
.gridi svg {
	position: absolute;
	top: -1px; /* fixes rendering issue in FF */
	z-index: 10;
	width: 100%;
	height: 100%;
}

.gridi svg path {
	fill: #4cb9cf;
}

/* Hover effects */
.gridi a:hover figure img {
	opacity: 1;
}

.gridi a:hover figcaption h2,
.gridi a:hover figcaption p {
	-webkit-transform: translateY(0);
	transform: translateY(0);
}

.gridi a:hover figcaption p {
	opacity: 0;
}

/* Individual styles */
.demo-1 body {
	background: #3498db;
}

.demo-1 .gridi figure button,
.demo-3 .gridi figure button {
	top: 50%;
	left: 50%;
	border: 3px solid #4cb9cf;
	background: transparent;
	color: #fff;
	opacity: 0;
	-webkit-transform: translateY(-50%) translateX(-50%) scale(0.25);
	transform: translateY(-50%) translateX(-50%) scale(0.25);
}

.demo-1 .gridi a:hover figure button,
.demo-3 .gridi a:hover figure button {
	opacity: 1;
	-webkit-transform: translateY(-50%) translateX(-50%) scale(1);
	transform: translateY(-50%) translateX(-50%) scale(1);
}

.gridi figcaption h2 {
	color: #fff;
}

.gridi figcaption p {
	-webkit-transition-delay: 0.05s;
	transition-delay: 0.05s;
}

.gridi figure button {
	bottom: 0;
	left: 0;
	padding: 15px;
	width: 100%;
	background: #4cb9cf;
	color: #fff;
	font-weight: 300;
	-webkit-transform: translateY(100%);
	transform: translateY(100%);
}

.gridi a:hover figure button {
	-webkit-transition-timing-function: ease-out;
	transition-timing-function: ease-out;
	-webkit-transform: translateY(0);
	transform: translateY(0);
}

.gridi figcaption h2,
.gridi figcaption p
	-webkit-transition-timing-function: cubic-bezier(0.250, 0.250, 0.115, 1); /* older webkit */
	-webkit-transition-timing-function: cubic-bezier(0.250, 0.250, 0.115, 1.445);
	timing-function: cubic-bezier(0.250, 0.250, 0.115, 1.445);
}

.gridi a:hover figcaption p,
.gridi a:hover figcaption p {
	-webkit-transition-delay: 0s;
	transition-delay: 0s;
	-webkit-transition-duration: 0.1s;
	transition-duration: 0.1s;
}

/* Media Queries */
/* Let's redefine the width of each anchor and the margins */

@media screen and (max-width: 58em) {
	.gridi a {
		width: 33.333%;
		margin-left: 0 !important;
	}
}

@media screen and (max-width: 45em) {
	.gridi {
		max-width: 500px;
	}

	.gridi a {
		width: 50%;
	}

	.gridi figcaption h2 {
		margin-bottom: 0px;
		-webkit-transform: translateY(30px);
		transform: translateY(30px);
	}

	.gridi figcaption p {
		margin: 0;
		padding: 0 10px;
	}
}

@media screen and (max-width: 27em) {
	.gridi {
		max-width: 250px;
	}

	.gridi a {
		width: 100%;
	}

}
